from matplotlib import pyplot as plt
from numpy import arange
x1 = arange(0,6,0.0001)
y1 = 2*x1**2 - x1 + 5
x2 = x1
y2 = -10*x2 + 70
plt.plot(x1, y1, x2, y2)
# plt.show()

''' Finne og markere skjæringspunktet'''
x0 = 0
for x in x1:
    if (-10*x+70) - (2*x**2 - x + 5) <= 0: #negativt diff => nullpunktet passert
        x0 = x
        break #hopper ut av for-løkken - punktet er funnet
y0 = -10*x0+70
plt.scatter(x0, y0)
plt.text(x0 + 0.2, y0, f'(x, y)=({x0:4.2f}, {y0:5.2f})')
plt.show()


