import pygame

''' Housekeeping '''
pygame.init() # Initialiserer pygame
pygame.display.set_icon(pygame.image.load("Python_logo.png")) # Gir vinduet logo
pygame.display.set_caption("Figur som rører seg (bruk piltaster)") # Gir vinduet overskrift
    
''' Skap et vindu ('surface') som det kan tegnes på'''
vindu = pygame.display.set_mode((1000, 600)) # Størrelse, kan endres
bakgrunnsfarge = (128,128,128)
vindu.fill(bakgrunnsfarge)

''' Skap en ball og plasser den '''
ball = pygame.image.load("Python_logo_liten.png")
ball_x = vindu.get_rect().centerx
ball_y = vindu.get_rect().centery
vindu.blit(ball, (ball_x, ball_y))
pygame.display.flip() # Oppdater og vis skjermen

gameover = False
while not gameover:
    for event in pygame.event.get(): # Hent hendelsene
        if event.type == pygame.QUIT: # Brukeren  har klikket lukking av vinduet
            gameover = True

    ''' Håndter piltastene '''
    tast = pygame.key.get_pressed() # Hent tastetrykkene
    ''' Handling avhenger av piltast som ble trykket ''' 
    if tast[pygame.K_LEFT] and ball_x > 0:
        ball_x -= .2
    if tast[pygame.K_RIGHT] and ball_x + ball.get_width() < vindu.get_width():
        ball_x += .2
    if tast[pygame.K_UP] and ball_y > 0:
        ball_y -= .2
    if tast[pygame.K_DOWN] and ball_y + ball.get_height() < vindu.get_height():
        ball_y += .2

    # Oppdater skjermen 
    vindu.fill(bakgrunnsfarge) # Overskriver alt med skjermfaargen
    vindu.blit(ball, (ball_x, ball_y))
    pygame.display.flip() # Oppdater skjermen



