import random as rnd
''' Produserer et antall tilfeldige terningkast 1 - 6
til fil '''
utfil = open('terninger.txt','w')
terninger = 100000
for terning in range(terninger):
    utfil.write(str(rnd.randint(1,6)) + '\n')
utfil.close()
print (f'Lagret {terninger} terningverdier')

''' Les tilfeldige terningkast fra filen. Legg dem i en liste '''
infil = open('terninger.txt','r')
terningliste = list()
for terning in infil:
    terningliste.append(int(terning))
print (f'Lest {len(terningliste)} terningkast fra fil')
infil.close()

''' Tell opp antall ganger terningen ble 1, 2 osv. '''
tellopp = dict()
''' Tell op enere, toere osv.'''
for i in range(1,7):
    tellopp[i] = 0
for terning in terningliste:
    tellopp[terning] += 1
for terning in tellopp.keys():
    print (f'{terning}: {tellopp[terning]} forekomster \
        = {round(tellopp[terning]*100/terninger,2)}%')

from matplotlib import pyplot as plt
plt.bar(tellopp.keys(),tellopp.values())
plt.show()
