from math import sqrt

class Punkt():
    ''' En klasse for punkt i et 2D koordinatsystem
        Felt x - et tall
        Felt y - et tall
    '''
    def __init__(this, x, y):
        this.x = x
        this.y = y

    def __str__(this):
        return f'({this.x},{this.y})'

    def avstand(this, annetpunkt):
        '''Beregner avstanden fra dette punktet til et annet (argumentet)'''
        return sqrt((annetpunkt.x-this.x)**2 + (annetpunkt.y-this.y)**2)

ettpkt = Punkt(30, 15)
print (ettpkt)
annetpkt = Punkt(60, 30)
print (ettpkt.avstand(annetpkt))
ettpkt.x = 500
print (ettpkt)



