from math import sqrt

class Punkt():
    ''' En klasse for punkt i et 2D koordinatsystem
        Felt x - et tall
        Felt y - et tall
    '''
    def __init__(this, x, y):
        this.x = x
        this.y = y

    def __str__(this):
        return f'({this.x},{this.y})'

    def avstand(this, annetpunkt):
        '''Beregner avstanden fra dette punktet til et annet (argumentet)'''
        return sqrt((this.x - annetpunkt.x)**2 + (this.y - annetpunkt.y)**2)

from matplotlib import pyplot as plt

for x in range (-10, 11):
    y = x**2 - 4*x + 1
    nyttpunkt = Punkt(x, y)
    print (nyttpunkt)
    plt.scatter(nyttpunkt.x, nyttpunkt.y)

plt.show()


